Package com.io7m.montarre.api

# Enum Class MApplicationKind

java.lang.Object
java.lang.Enum<MApplicationKind>
com.io7m.montarre.api.MApplicationKind

All Implemented Interfaces:
  `Serializable`, `Comparable<MApplicationKind>`, `Constable`

public enum MApplicationKind extends Enum<MApplicationKind>
The application kind.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONSOLE`
  A console application.
  `GRAPHICAL`
  A graphical application.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MApplicationKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MApplicationKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONSOLE

    public static final MApplicationKind CONSOLE
    A console application.

  - ### GRAPHICAL

    public static final MApplicationKind GRAPHICAL
    A graphical application.

- ## Method Details

  - ### values

    public static MApplicationKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MApplicationKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null